--[[
   dynamically create an event catcher frame to do stuff after other addons are
   loaded
  ]]
local ShortTerm = LibStub("AceAddon-3.0"):NewAddon(
	"ShortTerm"
);
-- /spew LibStub("AceAddon-3.0"):GetAddon("ShortTerm").cache.data
local LibRingCache = LibStub:GetLibrary("LibRingCache-1.0");
local iterator = 1;
local save = function(self, ...)
	--print(...);
	ShortTerm.cache:append({...});
	iterator = iterator+1;
end


function ShortTerm:OnEnable()
	-- set up ringbuffer
	self.cache = LibRingCache:create(30, ShortTermMemory);
	-- load old lines into the chat
	local f;
	local fs = {};
	for k,v in pairs(ShortTermMemory) do
		for i=0, 9 do
			f = _G["ChatFrame"..i];
			if f and f:IsEventRegistered(v[1]) then
				ChatFrame_MessageEventHandler(_G["ChatFrame"..i], unpack(v));
				fs[f] = true;
			end
		end
	end
	for k in pairs(fs) do
		k:AddMessage("[|cFFFF5500End of short term memory|r]");
	end
	-- posthook the chat frame event handler
	DEFAULT_CHAT_FRAME:HookScript("OnEvent", save);
end

function ShortTerm:OnDisable()
	return;
end

-- Old stuff, but wont throw it away...
--[[
-- SpamBlock - create a ringbuffer for blocked chars
ShortTerm.chars = ringbuffer:create(20);

ShortTerm.filterevents = {
	CHAT_MSG_SAY = true,
	CHAT_MSG_YELL = true,
	CHAT_MSG_CHANNEL = true,
};

-- unused now
ShortTerm.filterchannels = {
	["Trade"] = true,
	["LookingForGroup"] = true,
};

ShortTerm.wordlist = {
	"gold4guild.com",
};
ShortTerm.wordlistP = table.concat(ShortTerm.wordlist,"|");

ShortTerm.filter = function(event)
	local st = ShortTerm;
	if st.chars[arg2] then
		return;
	end
	if st.events[event] then
		return; -- TODO
	end
end
]]
